#include <bits/stdc++.h>

using namespace std;

void f(long long a, long long b)
{
    long long c = (-b + sqrt(b*b + 4*a)) / 2;
    long long d = a / c;
    if((c*d==a) && (d-c==b)) cout<<c<<" "<<d<<endl;
    else cout<<-1<<endl;
}

int main()
{
    int t;
    cin>>t;
    unsigned long long a[t], b[t];
    for(int i=0; i<t; i++) cin>>a[i]>>b[i];
    for(int i=0; i<t; i++) f(a[i], b[i]);
    return 0;
}